Page MenuHomePhabricator

welcome.py raises "TypeError: decoding str is not supported" (python3)
Closed, ResolvedPublic

Description

python pwb.py scripts/welcome.py -simulate
[MSG  ] Traceback (most recent call last):
  File "pwb.py", line 262, in <module>
    if not main():
  File "pwb.py", line 255, in main
    run_python_file(filename, [filename] + args, argvu, file_package)
  File "pwb.py", line 121, in run_python_file
    main_mod.__dict__)
  File "./scripts/welcome.py", line 993, in <module>
    main()
  File "./scripts/welcome.py", line 972, in main
    bot.run()
  File "./scripts/welcome.py", line 835, in run
    locale.getlocale()[1])
TypeError: decoding str is not supported
<class 'TypeError'>
CRITICAL: Closing network session.

Details

Related Gerrit Patches:

Event Timeline

Dalba created this task.Jul 19 2017, 12:45 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJul 19 2017, 12:45 PM
Xqt triaged this task as Medium priority.Jul 20 2017, 8:13 AM
Xqt added a subscriber: valhallasw.

Change 367493 had a related patch set uploaded (by Mpaa; owner: Mpaa):
[pywikibot/core@master] welcome.py: TypeError: decoding str is not supported

https://gerrit.wikimedia.org/r/367493

Change 367493 merged by jenkins-bot:
[pywikibot/core@master] welcome.py: TypeError: decoding str is not supported

https://gerrit.wikimedia.org/r/367493

Xqt closed this task as Resolved.Jul 25 2017, 8:37 AM
Xqt claimed this task.